[tycho] Install p2-install.sh script in java-utils/

Mikolaj Izdebski mizdebsk at fedoraproject.org
Thu Nov 27 10:43:39 UTC 2014


commit 96aed0c10cf8c7bc6b112359e3a60452693ea556
Author: Mikolaj Izdebski <mizdebsk at redhat.com>
Date:   Thu Nov 27 10:55:24 2014 +0100

    Install p2-install.sh script in java-utils/

 p2-install.sh |   28 ++++++++++++++++++++++++++++
 tycho.spec    |   13 ++++++++++++-
 2 files changed, 40 insertions(+), 1 deletions(-)
---
diff --git a/p2-install.sh b/p2-install.sh
new file mode 100755
index 0000000..30bfd35
--- /dev/null
+++ b/p2-install.sh
@@ -0,0 +1,28 @@
+#!/bin/sh
+set -e
+
+_prefer_jre="true"
+. /usr/share/java-utils/java-functions
+
+set_jvm
+
+set_classpath \
+    aether/aether-api \
+    atinject \
+    beust-jcommander \
+    cglib \
+    eclipse/osgi \
+    google-guice \
+    guava \
+    objectweb-asm/asm \
+    org.eclipse.sisu.inject \
+    plexus/utils \
+    slf4j/api \
+    slf4j/simple \
+    tycho/org.fedoraproject.p2 \
+    tycho/xmvn-p2-installer-plugin \
+    xmvn/xmvn-api \
+    xmvn/xmvn-core \
+
+MAIN_CLASS=org.fedoraproject.p2.app.P2InstallerApp
+run "$@"
diff --git a/tycho.spec b/tycho.spec
index ba562e5..8a7d067 100644
--- a/tycho.spec
+++ b/tycho.spec
@@ -23,7 +23,7 @@
 
 Name:           tycho
 Version:        0.21.0
-Release:        21%{?dist}
+Release:        22%{?dist}
 Summary:        Plugins and extensions for building Eclipse plugins and OSGI bundles with Maven
 
 Group:          Development/Libraries
@@ -47,6 +47,9 @@ Source5:        eclipse-bootstrap.tar.xz
 # https://github.com/rgrunber/fedoraproject-p2
 # Generated using 'git archive --prefix=fedoraproject-p2/ -o fedoraproject-p2-%%{fp_p2_sha}.tar %%{fp_p2_sha} && xz fedoraproject-p2-%%{fp_p2_sha}.tar'
 Source6:        fedoraproject-p2-%{fp_p2_sha}.tar.xz
+# Script that can be used to install or simulate installation of P2
+# artifacts. It is used in OSGi requires generation.
+Source7:        p2-install.sh
 
 Patch0:         %{name}-fix-build.patch
 # Upstream builds against maven-surefire 2.12.3
@@ -365,6 +368,10 @@ popd
 install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
 cp -pr target/site/api*/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}
 
+# p2-install script
+install -dm 755 $RPM_BUILD_ROOT%{_javadir}-utils/
+install -pm 755 %{SOURCE7} $RPM_BUILD_ROOT%{_javadir}-utils/
+
 %if %{eclipse_bootstrap}
 # org.eclipse.osgi
 osgiJarPath=`find ".m2/org" -name "org.eclipse.osgi_*.jar"`
@@ -414,6 +421,7 @@ ln -s %{_javadir}/%{name}/org.fedoraproject.p2.jar %{buildroot}%{_datadir}/xmvn/
 %files -f .mfiles
 %dir %{_javadir}/%{name}
 %{_datadir}/xmvn/lib/installer/*
+%{_javadir}-utils/p2-install.sh
 %doc README.md
 %if %{eclipse_bootstrap}
 %{_javadir}/%{name}/com.ibm.icu.jar
@@ -423,6 +431,9 @@ ln -s %{_javadir}/%{name}/org.fedoraproject.p2.jar %{buildroot}%{_datadir}/xmvn/
 %{_javadocdir}/%{name}
 
 %changelog
+* Thu Nov 27 2014 Mikolaj Izdebski <mizdebsk at redhat.com> - 0.21.0-22
+- Install p2-install.sh script in java-utils/
+
 * Thu Nov 27 2014 Mikolaj Izdebski <mizdebsk at redhat.com> - 0.21.0-21
 - fedoraproject-p2: Implement installer application
 


More information about the scm-commits mailing list